Android Users
log in

Advanced search

Message boards : News : Android Users

1 · 2 · Next
Author Message
Profile Kevin
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Avatar
Send message
Joined: 27 Jul 12
Posts: 507
Credit: 14,344,251
RAC: 1,727
Message 4049 - Posted: 28 Apr 2015, 2:08:29 UTC

A lot of the Android clients aren't downloading the new version of the code - they are still running the older 3.41 version.

If you have one please could you trigger an update of the code
____________
Regards
Kevin
-----
International Centre for Radio Astronomy Research

BitBangerUSA
Send message
Joined: 8 Dec 13
Posts: 12
Credit: 8,603,113
RAC: 4
Message 4050 - Posted: 28 Apr 2015, 2:50:53 UTC - in response to Message 4049.

okay...
other postings also seem to say that fitsed should be 4.0 vice 3.41.

as my systems became 'aware' of new data earlier today, i'm running again.
but one system is an ARM-based phone and is the one with older 'code.'

problem is, how to trigger an update - i see nothing in the client that would do so. and Google Play Store seems to have only the same-same version.

some direction/clarification is in order.

thanks and regards.

Profile Kevin
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Avatar
Send message
Joined: 27 Jul 12
Posts: 507
Credit: 14,344,251
RAC: 1,727
Message 4051 - Posted: 28 Apr 2015, 2:54:59 UTC - in response to Message 4050.

Yes - it should version 4.00

I suspect it might be a bug in the BOINC client for Android
____________
Regards
Kevin
-----
International Centre for Radio Astronomy Research

BitBangerUSA
Send message
Joined: 8 Dec 13
Posts: 12
Credit: 8,603,113
RAC: 4
Message 4052 - Posted: 28 Apr 2015, 3:00:35 UTC - in response to Message 4051.
Last modified: 28 Apr 2015, 3:23:39 UTC

so running my current (older) version would be wasting 'trons? as in i can expect it to error out?
no place or method to get the newer version? hmm... that doesn't seem logical.
i'll look further...


//

i see - yeppers, seems a bug in the Android BOINC and/or operator error - have Google Play now sending to phone.

Thanks again.

///
for others:

i had to uninstall the older version, clear data from the app and re-boot in order to make Android/BOINC happy. your mileage may vary.

Alexander
Send message
Joined: 23 Mar 13
Posts: 66
Credit: 12,175,709
RAC: 7,691
Message 4053 - Posted: 28 Apr 2015, 7:09:35 UTC

I have 7 or 8 old apps running, only one finished but is not validated, so I cannot say if it makes sense to finish the remaining wu's. I set all my androids to nnt. Has anyone validated old wu's ? If yes i keep them running, otherwise it makes more sense to kill these tasks.

Henk Haneveld
Send message
Joined: 3 Jan 15
Posts: 3
Credit: 242,815
RAC: 747
Message 4054 - Posted: 28 Apr 2015, 7:11:19 UTC

I don't think its a Boinc problem but on the server site of the project.

I detached from the project and then attached again.

I got the 341 version. Since the project sends the exe file the problem must be there.
____________

Profile Elektra*
Avatar
Send message
Joined: 12 May 14
Posts: 127
Credit: 8,060,292
RAC: 0
Message 4056 - Posted: 28 Apr 2015, 12:30:33 UTC

Those many volunteers using NativeBOINC for their Androids will probably never get an update of their BOINC client (7.0.36) as it seems that NativeBOINC isn't maintained or updated anymore, and a change to an official BOINC client is impossible in most cases due to the lacking possibility of controlling or administrating the Androids remotely.

At present 3 tasks with wrapper 3.41 have finished successfully but are waiting for validation, one successfully finished task is marked as invalid ("Completed, can't validate") - nearly a whole day's work getting no credits :(

If it turns out that wrapper 3.41 returns only invalid results, then I must leave POGS with a heavy heart. But I hope that wrapper 3.41 on the Androids with version 4.1 - 4.4 provides valid results and that you find a solution to provide the NativeBOINC users continuously with work.
____________

lydon71
Send message
Joined: 14 Dec 12
Posts: 1
Credit: 551,735
RAC: 0
Message 4057 - Posted: 28 Apr 2015, 13:17:07 UTC

I am in a similar boat as Elektra, I am running on older Android devices that are not compatible with the newest Boinc client app, so I am stuck with running the older NativeBOINC app.

The devices got new tasks but they are running 3.41. I see no way to force an upgrade to 4, I detached from Pogs and then reattached and it still downloaded the 3.41 wrapper.

Should I kill the 3.41 tasks and move on to another project or are results done with 3.41 still usable?

Alexander
Send message
Joined: 23 Mar 13
Posts: 66
Credit: 12,175,709
RAC: 7,691
Message 4058 - Posted: 28 Apr 2015, 13:40:56 UTC

Oh yeah, native Boinc has a much smarter face! I'm really sorry that it is no longer supported, I've started there with Milkyway, an the project itself has no Android version, so I have to stay there.

BTW, the only result that did not validate until now is a 4.0 PC version
http://pogs.theskynet.org/pogs/workunit.php?wuid=20360247
too many errors ! My wingmen where 2 3.41 and 2 4.0 users.

Alexander
Send message
Joined: 23 Mar 13
Posts: 66
Credit: 12,175,709
RAC: 7,691
Message 4059 - Posted: 28 Apr 2015, 14:52:42 UTC

And they validate against a 4.0 wu
http://pogs.theskynet.org/pogs/workunit.php?wuid=20336346

cyrusNGC_224@P3D
Send message
Joined: 14 Apr 13
Posts: 14
Credit: 55,930,518
RAC: 9,204
Message 4060 - Posted: 28 Apr 2015, 16:19:46 UTC - in response to Message 4056.

Those many volunteers using NativeBOINC for their Androids will probably never get an update of their BOINC client (7.0.36) as it seems that NativeBOINC isn't maintained or updated anymore, and a change to an official BOINC client is impossible in most cases due to the lacking possibility of controlling or administrating the Androids remotely.
Yes, without remote access it's unusable.
Is it possible to force correct app with app_info.xml?

I habe validated 3.41 Tasks but with massive longer calculation times.

Profile alexbeckley
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Send message
Joined: 14 Jan 13
Posts: 345
Credit: 5,696,421
RAC: 0
Message 4062 - Posted: 29 Apr 2015, 0:07:57 UTC

People who are still getting the old application version, can you try detaching and reattaching the client from pogs. That seems to be the work around for my phone. It appears the the boinc client on android isn't listening when boinc tells it that the current application version has been deprecated. As can be seen from here http://pogs.theskynet.org/pogs/apps.php only the new version (4.00) is currently available for download.

Cheers
Alex

Profile Elektra*
Avatar
Send message
Joined: 12 May 14
Posts: 127
Credit: 8,060,292
RAC: 0
Message 4063 - Posted: 29 Apr 2015, 0:33:49 UTC - in response to Message 4062.
Last modified: 29 Apr 2015, 0:35:15 UTC

I've just detached and (re-)attached POGS on one of my Androids, and now it's loading the project files:

pogs wrapper_arm-android-linux-gnu_341 8,268 336,97 K 00:01:59 1,44 Kbps Downloading Sony Xperia V
pogs fit_sed_arm-android-linux-gnu_341 7,649 272,32 K 00:01:59 0,27 Kbps Downloading Sony Xperia V
pogs concat_arm-android-linux-gnu_341 0,000 151,41 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs NGC0191_area20445664 0,000 13,52 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs NGC0191_area20445664.job.xml 0,000 6,01 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs 0005_filters.dat 0,000 1,40 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs 0005zlib_0.0200.dat 0,000 0,01 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs 0005_starformhist_cb07_z0.0200.lbr 0,000 20527,11 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs 0005_infrared_dce08_z0.0200.lbr 0,000 12354,21 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs pogs_image00.png 0,000 0,00 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs NGC0191_area20445680 0,000 11,73 K 00:00:00 0,00 Kbps Download pending Sony Xperia V
pogs NGC0191_area20445680.job.xml 0,000 6,01 K 00:00:00 0,00 Kbps Download pending Sony Xperia V


It seems that again the 3.41 wrapper and fitsed are downloaded.

Btw.: Meanwhile 25 Android jobs using the 3.41 wrapper have successfully finished. The runtimes of Android tasks are 2-3 times longer than those of Windows tasks running on notebooks with Celeron or Pentium CPUs with 1,6 - 2,1 GHz, but that has also been before. So for me no need so far to upgrade to wrapper 4.00

Profile alexbeckley
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Send message
Joined: 14 Jan 13
Posts: 345
Credit: 5,696,421
RAC: 0
Message 4065 - Posted: 29 Apr 2015, 4:12:40 UTC - in response to Message 4063.

I've tweaked the plan_class_spec.xml file, however there is very little documentation on it so I had to make a few guesses.

Can you try again.

Also I'm trying to install native boinc on my android device to help test but I keep getting the error 'Unable to get access password', do you know how to fix this?
____________
Cheers
Alex
theSkyNet.org webMaster
ICRAR

BigA21
Send message
Joined: 19 Mar 13
Posts: 10
Credit: 101,488
RAC: 0
Message 4066 - Posted: 29 Apr 2015, 4:12:49 UTC - in response to Message 4063.

Hi everyone, i've noticed that my work units have been coming up as computation errors. As far as I can tell it is still using the old 3.41 wrapper, i've got the latest version of boinc. My user ID is 3040. If someone could look at this that would be great. I'M crunching on a Samsung Tablet with an arm processor.

BigA21
Send message
Joined: 19 Mar 13
Posts: 10
Credit: 101,488
RAC: 0
Message 4067 - Posted: 29 Apr 2015, 4:16:41 UTC - in response to Message 4066.

Correction, my user ID is 3640.

Profile alexbeckley
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Send message
Joined: 14 Jan 13
Posts: 345
Credit: 5,696,421
RAC: 0
Message 4068 - Posted: 29 Apr 2015, 4:19:30 UTC - in response to Message 4067.

Hey BigA21,

Which version of the boinc client are you using? and have you tried detaching and reattaching the project?
____________
Cheers
Alex
theSkyNet.org webMaster
ICRAR

BigA21
Send message
Joined: 19 Mar 13
Posts: 10
Credit: 101,488
RAC: 0
Message 4069 - Posted: 29 Apr 2015, 4:27:58 UTC - in response to Message 4068.

7.4.41, I've have tried detaching and re attaching the project. I will try again.

BigA21
Send message
Joined: 19 Mar 13
Posts: 10
Credit: 101,488
RAC: 0
Message 4070 - Posted: 29 Apr 2015, 4:38:30 UTC - in response to Message 4069.

Ok, I have detached and reattached to pogs, now I've got to wait until it completes, it looks like it should run the 4.0 version according to the work unit. I'll keep you posted on if this works or not. Or if there are other problems.

BigA21
Send message
Joined: 19 Mar 13
Posts: 10
Credit: 101,488
RAC: 0
Message 4071 - Posted: 29 Apr 2015, 4:38:32 UTC - in response to Message 4069.

Ok, I have detached and reattached to pogs, now I've got to wait until it completes, it looks like it should run the 4.0 version according to the work unit. I'll keep you posted on if this works or not. Or if there are other problems.

1 · 2 · Next

Message boards : News : Android Users


Main page · Your account · Message boards


Copyright © 2017 The International Centre for Radio Astronomy Research